Autor Tema: Necesito módulo VirtualBox.  (Leído 797 veces)

0 Usuarios y 1 Visitante están viendo este tema.

Desconectado Meg@Soft

  • **
  • Mensajes: 40
Necesito módulo VirtualBox.
« en: 07-02-2019, 04:20 (Jueves) »
 Hola a todos,

 Estuve intentando instalar Virtualbox en Wifislax64 2.0 final y me pide tener instalado virtualbox-kernel, y cuando  voy a instalar virtualbox-kernel me da error.

 Si alguien me pudiera ayudar con los módulos de virtualbox y sus dependencias para Wifislax64 2.0.

 Saludos y muchas gracias.



Desconectado Garcad

  • *****
  • Mensajes: 199
Re:Necesito módulo VirtualBox.
« Respuesta #1 en: 09-02-2019, 11:33 (Sábado) »
Ya lo veo, habrá que mirar como solucionarlo y si puede hacer un poco de magia @USUARIONUEVO

Salu2
"He sido un hombre afortunado en la vida: nada me fue fácil"

Sigmund Freud

Conectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14447
Re:Necesito módulo VirtualBox.
« Respuesta #2 en: 09-02-2019, 20:20 (Sábado) »
El problema es que esa version de slackbuilds , es para kernel 4.14 y nosotros ya usamos la rama 4.19  (como slackware-current) , ...por lo que como es un tema muy especifico , se puede tirar mano , de usar slackbuilds para current.

de aqui: https://github.com/Ponce/slackbuilds/tree/current/system

usaremos los que necesitemos tanto el virtualbox kernel , como el addons, como el otro , hay un total de 5 paquetes , aunque creo bastaria con solo el virtualbox y el kernel  , pero los addons y extension pack , son los que permiten compartir ficheros entre huesped y anfitrion y demas cosas extras y no estaria demas.

https://github.com/Ponce/slackbuilds/tree/current/system/virtualbox-kernel
https://github.com/Ponce/slackbuilds/tree/current/system/virtualbox-kernel-addons
https://github.com/Ponce/slackbuilds/tree/current/system/virtualbox-extension-pack
https://github.com/Ponce/slackbuilds/tree/current/system/virtualbox-addons
https://github.com/Ponce/slackbuilds/tree/current/system/virtualbox

Yo no os los voy a compilar ni pasara a xzm ni nada , sino no vais a espabilar.
En los ficheros info , van los link de descarga  ,

para cada uno creais una carpeta y meteis sus ficheros dentro , y con wget y el link de descarga ..se bajara el fuente dentro de la misma carpeta y solo hara falta ejecutar el slackbuild.
« Última modificación: 09-02-2019, 20:22 (Sábado) por USUARIONUEVO »

Conectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14447
Re:Necesito módulo VirtualBox.
« Respuesta #3 en: 09-02-2019, 20:25 (Sábado) »
5 años hace ya de este post
https://foro.seguridadwireless.net/colaboracion-y-desarrollo-de-nuestras-lives/que-es-un-slackbuild-y-como-se-usa/


nadie lee, nadie aprende , a nadie le importa un carajo nada  ... y a mi cada vez se me va contagiando lo mismo  ;D

Conectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14447
Re:Necesito módulo VirtualBox.
« Respuesta #4 en: 09-02-2019, 20:31 (Sábado) »
Para que luego no os den guerra el actualizador y demas cuando vea que la version no es la misma en slackbuilds , (cuando usemos sbopkg o similares) , cambiad el TAG=  , a uno que vosotros querais.

TAG=garcad o cosas asi  ;D

ademas os servira para identificar vuestros paquetes custom (que no sean igual a los de slackbuilds) , o incluso cuando activais cosas extras y demas , para manteneros al margen de que os lo toque algun gestor de paquetes.

o en version , si por ejemplo pone VERSION=1.2 , PODEIS PONER  VERSION=1.2_CUSTOM

DE ESA MANERA SI VEREIS VUESTRA VERSION Y LA DE SLACKBUILDS , que os puede venir bien por que si en slackbuilds ponen version mas nueva , os dareis cuenta y podreis actualizar vuestro custom ,con las misma s opciones extra o modificaciones que querais hacerle.

Desconectado rh3nt0n

  • **
  • Mensajes: 6
Re:Necesito módulo VirtualBox.
« Respuesta #5 en: 09-02-2019, 21:00 (Sábado) »
5 años hace ya de este post
https://foro.seguridadwireless.net/colaboracion-y-desarrollo-de-nuestras-lives/que-es-un-slackbuild-y-como-se-usa/


nadie lee, nadie aprende , a nadie le importa un carajo nada  ... y a mi cada vez se me va contagiando lo mismo  ;D
no me extraña tio... y es una pena! aunque tu parece que eres persistente  >:( >:( >:(

Desconectado Garcad

  • *****
  • Mensajes: 199
Re:Necesito módulo VirtualBox.
« Respuesta #6 en: 09-02-2019, 21:28 (Sábado) »
# wget -c https://download.virtualbox.org/virtualbox/6.0.4/VirtualBox-6.0.4-128413-Linux_amd64.run
# chmod +x VirtualBox-6.0.4-128413-Linux_amd64.run
# ./VirtualBox-6.0.4-128413-Linux_amd64.run
Verifying archive integrity... All good.
Uncompressing VirtualBox for Linux installation.............
VirtualBox Version 6.0.4 r128413 (2019-01-25T20:35:08Z) installer
Installing VirtualBox to /opt/VirtualBox
Python found: python, installing bindings...

VirtualBox has been installed successfully.

You will find useful information about using VirtualBox in the user manual
  /opt/VirtualBox/UserManual.pdf
and in the user FAQ
  http://www.virtualbox.org/wiki/User_FAQ

We hope that you enjoy using VirtualBox.

# virtualbox

Salu2
"He sido un hombre afortunado en la vida: nada me fue fácil"

Sigmund Freud

Conectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14447
Re:Necesito módulo VirtualBox.
« Respuesta #7 en: 09-02-2019, 21:56 (Sábado) »
# wget -c https://download.virtualbox.org/virtualbox/6.0.4/VirtualBox-6.0.4-128413-Linux_amd64.run
# chmod +x VirtualBox-6.0.4-128413-Linux_amd64.run
# ./VirtualBox-6.0.4-128413-Linux_amd64.run
Verifying archive integrity... All good.
Uncompressing VirtualBox for Linux installation.............
VirtualBox Version 6.0.4 r128413 (2019-01-25T20:35:08Z) installer
Installing VirtualBox to /opt/VirtualBox
Python found: python, installing bindings...

VirtualBox has been installed successfully.

You will find useful information about using VirtualBox in the user manual
  /opt/VirtualBox/UserManual.pdf
and in the user FAQ
  http://www.virtualbox.org/wiki/User_FAQ

We hope that you enjoy using VirtualBox.

# virtualbox

Salu2

si amigo , ahora empaqueta eso ...  ;D

esta claro que es lo mejor , bajas el run y lo instalas y ya , pero si lo va a usar en modo live ... pues se le complica la cosa.

Desconectado Garcad

  • *****
  • Mensajes: 199
Re:Necesito módulo VirtualBox.
« Respuesta #8 en: 09-02-2019, 23:16 (Sábado) »
# wget -c https://download.virtualbox.org/virtualbox/6.0.4/VirtualBox-6.0.4-128413-Linux_amd64.run
# chmod +x VirtualBox-6.0.4-128413-Linux_amd64.run
# ./VirtualBox-6.0.4-128413-Linux_amd64.run
Verifying archive integrity... All good.
Uncompressing VirtualBox for Linux installation.............
VirtualBox Version 6.0.4 r128413 (2019-01-25T20:35:08Z) installer
Installing VirtualBox to /opt/VirtualBox
Python found: python, installing bindings...

VirtualBox has been installed successfully.

You will find useful information about using VirtualBox in the user manual
  /opt/VirtualBox/UserManual.pdf
and in the user FAQ
  http://www.virtualbox.org/wiki/User_FAQ

We hope that you enjoy using VirtualBox.

# virtualbox

Salu2

si amigo , ahora empaqueta eso ...  ;D

esta claro que es lo mejor , bajas el run y lo instalas y ya , pero si lo va a usar en modo live ... pues se le complica la cosa.

Cuando termine de compilar un kernel hago el modulo.

Salu2
"He sido un hombre afortunado en la vida: nada me fue fácil"

Sigmund Freud

Desconectado Garcad

  • *****
  • Mensajes: 199
"He sido un hombre afortunado en la vida: nada me fue fácil"

Sigmund Freud

Desconectado Meg@Soft

  • **
  • Mensajes: 40
Re:Necesito módulo VirtualBox.
« Respuesta #10 en: 10-02-2019, 19:32 (Domingo) »
Muchas gracias Garcad y USUARIONUEVO por sus respuestas.

El problema es que esa version de slackbuilds , es para kernel 4.14 y nosotros ya usamos la rama 4.19  (como slackware-current) , ...por lo que como es un tema muy especifico , se puede tirar mano , de usar slackbuilds para current.

de aqui: https://github.com/Ponce/slackbuilds/tree/current/system

usaremos los que necesitemos tanto el virtualbox kernel , como el addons, como el otro , hay un total de 5 paquetes , aunque creo bastaria con solo el virtualbox y el kernel  , pero los addons y extension pack , son los que permiten compartir ficheros entre huesped y anfitrion y demas cosas extras y no estaria demas.

https://github.com/Ponce/slackbuilds/tree/current/system/virtualbox-kernel
https://github.com/Ponce/slackbuilds/tree/current/system/virtualbox-kernel-addons
https://github.com/Ponce/slackbuilds/tree/current/system/virtualbox-extension-pack
https://github.com/Ponce/slackbuilds/tree/current/system/virtualbox-addons
https://github.com/Ponce/slackbuilds/tree/current/system/virtualbox

Yo no os los voy a compilar ni pasara a xzm ni nada , sino no vais a espabilar.
En los ficheros info , van los link de descarga  ,

para cada uno creais una carpeta y meteis sus ficheros dentro , y con wget y el link de descarga ..se bajara el fuente dentro de la misma carpeta y solo hara falta ejecutar el slackbuild.

 Les pido disculpas por las molestias, pero es que no estoy muy práctico en esto de crear e instalar paquetes, módulos, etc... Más o menos me las arreglaba para de una forma u otra instalar desde slackbuilds.org, pero desde github no tengo ni idea, no encuentro donde puedo descargar los archivos que me dejaron, si entro a la página y le doy click lo que hace es abrirlo como texto dentro de la misma página, y si copio la dirección del enlace para descargarlo con IDM me descarga un html.

 Saludos.
« Última modificación: 10-02-2019, 22:16 (Domingo) por Meg@Soft »

Desconectado Meg@Soft

  • **
  • Mensajes: 40
Re:Necesito módulo VirtualBox.
« Respuesta #11 en: 10-02-2019, 23:18 (Domingo) »
y con wget y el link de descarga ..se bajara el fuente dentro de la misma carpeta y solo hara falta ejecutar el slackbuild.

 Quería agregar que con wget no puedo bajar el fuente, pues en mi país tienen algún tipo de problema con las descargas desde github.com, virtualbox.org, intel.com, metasploit.com, entre otras, lo que hago es utilizar una extención de un servicio VPN en mi navegador para así poder descargar los archivos necesarios, luego los dejo todos en una misma carpeta y ejecuto el slackbuild.

 Antes utilizaba openvpn desde la consola, pero luego de un tiempo me dejó de funcionar, y creo que en esta versión 2.0 no lo trae instalado, corregidme si me equivoco.
  Saludos.

Desconectado Meg@Soft

  • **
  • Mensajes: 40
Re:Necesito módulo VirtualBox.
« Respuesta #12 en: 10-02-2019, 23:49 (Domingo) »
5 años hace ya de este post
https://foro.seguridadwireless.net/colaboracion-y-desarrollo-de-nuestras-lives/que-es-un-slackbuild-y-como-se-usa/


nadie lee, nadie aprende , a nadie le importa un carajo nada  ... y a mi cada vez se me va contagiando lo mismo  ;D

 Si me importa leer y aprender, solo que no había encontrado ese post, hace un tiempo estuve buscando algo parecido cuando no tenía ni idea de que era un txz, tgz, xzm ó slackbuild, pero no tuve suerte, parece que los parámetros de búsqueda no eran correctos.
 Poco a poco fui aprendiendo algo a base de prueba y error (que más de 1 vez tuve que reinstalar la PC porque me iba a ser más fácil que arreglar todo el desastre que había hecho).

 Muchas gracias, espero seguir aprendiendo, que bastante me falta todavía.

Desconectado Meg@Soft

  • **
  • Mensajes: 40
Re:Necesito módulo VirtualBox.
« Respuesta #13 en: 11-02-2019, 00:22 (Lunes) »
Probé a ver si lograba instalar el virtualbox-kernel que me dejaron. Como no supe como descargar los ficheros de github lo que hice fue abrir el info para ver el link de descarga de la fuente, la descargué y luego descomprimí el archivo tar.xz que me quedó, abrí una terminal en la carpeta donde se descomprimió y escribí:

./configure
bash: ./configure: No existe el fichero o el directorio

make
cc1: algunos avisos se tratan como errores
scripts/Makefile.build:303: fallo en las instrucciones para el objetivo '/root/Descargas/Downloads/virtualbox-kernel-5.2.8/vboxpci/linux/VBoxPci-linux.o'
make[3]: *** [/root/Descargas/Downloads/virtualbox-kernel-5.2.8/vboxpci/linux/VBoxPci-linux.o] Error 1
Makefile:1520: fallo en las instrucciones para el objetivo '_module_/root/Descargas/Downloads/virtualbox-kernel-5.2.8/vboxpci'
make[2]: *** [_module_/root/Descargas/Downloads/virtualbox-kernel-5.2.8/vboxpci] Error 2
make[2]: se sale del directorio '/usr/src/linux-4.19.18'
/root/Descargas/Downloads/virtualbox-kernel-5.2.8/vboxpci/Makefile.include.footer:101: fallo en las instrucciones para el objetivo 'vboxpci'
make[1]: *** [vboxpci] Error 2
make[1]: se sale del directorio '/root/Descargas/Downloads/virtualbox-kernel-5.2.8/vboxpci'
Makefile:48: fallo en las instrucciones para el objetivo 'all'
make: *** [all] Error 1

Luego de ver que salió este error que no se que significa decidí no proceder con "make install".

No se si de esa forma podría haber funcionado pero en alguna parte leí que si (o quizás lo soñé). Salu2.

Desconectado Garcad

  • *****
  • Mensajes: 199
Re:Necesito módulo VirtualBox.
« Respuesta #14 en: 19-02-2019, 23:47 (Martes) »
https://cloud.mail.ru/public/GSUW/XbCMHMkYz

Colocalo en la direccion del usb.... ../wifislax64/base/Wifislax/

Salu2
« Última modificación: 19-02-2019, 23:48 (Martes) por Garcad »
"He sido un hombre afortunado en la vida: nada me fue fácil"

Sigmund Freud

Desconectado Meg@Soft

  • **
  • Mensajes: 40
Re:Necesito módulo VirtualBox.
« Respuesta #15 en: 06-03-2019, 04:43 (Miércoles) »
Hola a todos,
 Les agradezco mucho su ayuda y su tiempo y les pido disculpas por tardarme tanto en responder. He descargado el .run y lo he instalado, y hasta ahora todo OK.
  Saludos.